---
# Debian Server
# ------------------------------------------------------------------------------
- name: Configuring Debian/Ubuntu physical OR virtual server
  include_tasks: all.yml

# Physical Debian Server
# ------------------------------------------------------------------------------
- name: Configuring Debian/Ubuntu physical server
  include_tasks: physical.yml
  when: type == 'physical'


# Virtual Debian Server
# ------------------------------------------------------------------------------
- name: Configuring Debian/Ubuntu virtual server
  include_tasks: virtual.yml
  when: type == 'virtual'

